<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.pet.first.FirstSetPetTypeActivity">

    <include
        android:id="@+id/il_first_set_pet_type_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView
        style="@style/my_ScrollView_style"
        android:layout_weight="1">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_first_set_pet_type_layout"
            style="@style/root_layout_style"
            android:orientation="vertical"
            android:paddingBottom="@dimen/dp_66">

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_second_bold_title_TextView_style"
                android:layout_marginTop="@dimen/dp_8"
                android:text="@string/txt_pet_type"
                app:lineHeight="@dimen/textSize32" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_38">

                <RadioGroup
                    android:id="@+id/rg_first_set_pet_type_group"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatRadioButton
                        android:id="@+id/rb_first_set_pet_type_dog"
                        android:layout_width="@dimen/dp_100"
                        android:layout_height="@dimen/dp_100"
                        android:layout_marginEnd="@dimen/dp_53"
                        android:background="@drawable/selector_pet_type_switch_check"
                        android:button="@null"
                        android:checked="true" />

                    <androidx.appcompat.widget.AppCompatRadioButton
                        android:id="@+id/rb_first_set_pet_type_cat"
                        android:layout_width="@dimen/dp_100"
                        android:layout_height="@dimen/dp_100"
                        android:background="@drawable/selector_pet_type_switch_check"
                        android:button="@null" />

                </RadioGroup>

                <View
                    android:id="@+id/v_first_set_pet_type_placeholder_view"
                    android:layout_width="@dimen/dp_53"
                    android:layout_height="@dimen/dp_1"
                    android:layout_centerInParent="true" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="@dimen/dp_100"
                    android:layout_height="wrap_content"
                    android:layout_alignTop="@id/rg_first_set_pet_type_group"
                    android:layout_alignBottom="@id/rg_first_set_pet_type_group"
                    android:layout_toStartOf="@id/v_first_set_pet_type_placeholder_view"
                    android:paddingHorizontal="@dimen/dp_10"
                    android:src="@drawable/icon_dog_type_image" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="@dimen/dp_100"
                    android:layout_height="wrap_content"
                    android:layout_alignTop="@id/rg_first_set_pet_type_group"
                    android:layout_alignBottom="@id/rg_first_set_pet_type_group"
                    android:layout_toEndOf="@id/v_first_set_pet_type_placeholder_view"
                    android:paddingHorizontal="@dimen/dp_16"
                    android:src="@drawable/icon_cat_type_image" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:layout_width="@dimen/dp_100"
                    android:layout_below="@id/rg_first_set_pet_type_group"
                    android:layout_marginTop="@dimen/dp_16"
                    android:layout_toStartOf="@id/v_first_set_pet_type_placeholder_view"
                    android:text="@string/txt_dog"
                    android:textSize="@dimen/textSize16"
                    android:textStyle="bold" />

                <com.abbidot.tracker.widget.TypefaceTextView
                    style="@style/my_TextView_style_v2"
                    android:layout_width="@dimen/dp_100"
                    android:layout_below="@id/rg_first_set_pet_type_group"
                    android:layout_marginTop="@dimen/dp_16"
                    android:layout_toEndOf="@id/v_first_set_pet_type_placeholder_view"
                    android:text="@string/txt_cat"
                    android:textSize="@dimen/textSize16"
                    android:textStyle="bold" />
            </RelativeLayout>

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_second_bold_title_TextView_style"
                android:text="@string/txt_pet_name"
                android:textStyle="normal"
                app:lineHeight="@dimen/textSize32"
                app:typeface="@string/roboto_regular_font" />


            <include
                android:id="@+id/il_first_set_pet_type_pet_name"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_80"
                android:layout_marginHorizontal="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_18" />

        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_first_set_pet_type_next"
        style="@style/my_match_RoundRect_Button_style"
        android:layout_marginBottom="@dimen/dp_8"
        android:text="@string/register_txt_next"
        android:textStyle="bold"
        app:qmui_radius="@dimen/dp_64" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/btn_first_set_pet_type_back_login"
        style="@style/my_TextView_style_v2"
        android:layout_gravity="center"
        android:background="@drawable/selector_transparent_pressed"
        android:padding="@dimen/dp_16"
        android:text="@string/register_txt_back_login"
        android:textColor="@color/select_color3"
        android:textSize="@dimen/textSize12"
        app:typeface="@string/roboto_regular_font" />
</androidx.appcompat.widget.LinearLayoutCompat>